get
https://apiprod.fattlabs.com/item
Retrieves all the items saved under a merchant's catalog.
Note: Authentication Token, Active Team and Enabled Team Required.
Retrieves all the items saved under a merchant's catalog. The items may be searched using keywords, such as keywords[]=red, to find specific items. The items may also be filtered and sorted.
Sort Parameters
| Parameter | Description |
|---|---|
| name | Sorts the items alphabetically by name. |
| code | Sorts by item code numerically. |
| description | Sorts items alphabetically by description. |
| price | Sorts the items numerically by price. |
| quantity | Sorts the items numerically by quantity. |
| is_service | Sorts the items between those that are a service and those that aren't. |
| is_active | Sorts items into active and inactive categories. |
| is_taxable | Sorts the items between those that are taxable and those that aren't. |
| is_discount | Sorts items into those on discount and those not on discount. |
| created_at | Sorts chronologically based on the times items were created. |
| updated_at | Sorts chronologically based on the last time items were updated. |
Order Parameters
| Parameter | Description |
|---|---|
| DESC | Displays results in a descending order. |
| ASC | Displays results in an ascending order. |
